com.sun.jna

## Class LastErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jna.LastErrorException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    Win32Exception

      public class LastErrorException
      extends java.lang.RuntimeException

  Exception representing a non-zero error code returned in either `errno` or `GetLastError()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `LastErrorException(int code)`
    `protected` | `LastErrorException(int code, java.lang.String msg)`
    `` | `LastErrorException(java.lang.String msg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LastErrorException

          public LastErrorException(java.lang.String msg)

    - #### LastErrorException

          public LastErrorException(int code)

    - #### LastErrorException

          protected LastErrorException(int code,
                            java.lang.String msg)

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Returns:
        The reported error code

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.